# sb::Content::Trackback
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Content::Trackback;
use vars qw( $VERSION );
$VERSION = '0.02';
# 0.02 [2007/08/12] renamed from '_main' to '_00main'
# 0.01 [2007/08/01] fixed a simple syntax error
# 0.00 [2007/07/31] divided from sb::Content
# --------------------------------------
# // default callbacks
sub _init
{
	return (
		'_00main' => \&_main,
		'content' => \&_content,
	);
}
# --------------------------------------
# // define callbacks
sub _main
{
	my $cms  = shift;
	my %var  = @_;
	$cms->tag('trackback_url'=>$var{'entry'}[0]->pingurl);
}
sub _content
{
	my $cms  = shift;
	my $tb   = shift;
	my %var  = @_;
	my $date = sb::Time->format(
		'time'=>$tb->date,
		'form'=>$var{'conf'}->value('conf_msg_time'),
		'zone'=>$tb->tz,
		'lang'=>$var{'conf'}->value('conf_time_lang'),
	);
	$cms->tag('trackback_title'=>$tb->subj_with_url);
	$cms->tag('trackback_excerpt'=>$tb->formatted_body);
	$cms->tag('trackback_blog_name'=>$tb->name);
	$cms->tag('trackback_time'=>$date);
	$cms->tag('site_parts'=>$var{'conf'}->value('conf_srv_base') . $var{'conf'}->value('dir_style'));
}
1;
__END__